name: Analyse SonarQube 
on: [push]

jobs:
  sonarqube:
    name: SonarQube Trigger
    runs-on: ubuntu-latest
    steps:
    - name: Checking out
      uses: actions/checkout@v4
      with:
        # Disabling shallow clone is recommended for improving relevancy of reporting
        fetch-depth: 0
    - name: SonarQube Scan
      uses: SonarSource/sonarqube-scan-action@v7.0.0
      args: >
       -Dsonar.projectKey=pki-manager
       -Dsonar.sources=. \
       -Dsonar.host.url=${{secrets.SONAR_HOST}}
      env:
        SONAR_TOKEN: ${{secrets.SONAR_TOKEN}} 
        SONAR_HOST_URL: ${{secrets.SONAR_HOST}}
